#ifndef MUDLIST_H
#define MUDLIST_H

#include <gtk/gtkwindow.h>

G_BEGIN_DECLS

#define MUDLIST_TYPE_WINDOW				(mudlist_window_get_type ())
#define MUDLIST_WINDOW(object)			(G_TYPE_CHECK_INSTANCE_CAST ((object), MUDLIST_TYPE_WINDOW, MudlistWindow))
#define MUDLIST_WINDOW_CLASS(klass)		(G_TYPE_CHECK_CLASS_CAST ((klass), MUDLIST_TYPE_WINDOW, MudlistWindowClass))
#define MUDLIST_IS_WINDOW(object)		(G_TYPE_CHECK_INSTANCE_TYPE ((object), MUDLIST_TYPE_WINDOW))
#define MUDLIST_IS_WINDOW_CLASS(klass)	(G_TYPE_CHECK_CLSS_TYPE ((klass), MUDLIST_TYPE_WINDOW))
#define MUDLIST_WINDOW_GET_CLASS(obj)	(G_TYPE_INSTANCE_GET_CLASS ((obj), MUDLIST_TYPE_WINDOW, MudlistWindowClass))

typedef struct _MudlistWindow			MudlistWindow;
typedef struct _MudlistWindowClass		MudlistWindowClass;
typedef struct _MudlistWindowPrivate	MudlistWindowPrivate;

struct _MudlistWindow
{
	GObject parent_instance;

	MudlistWindowPrivate *priv;
};

struct _MudlistWindowClass
{
	GObjectClass parent_class;
};

GType mudlist_window_get_type (void) G_GNUC_CONST;

MudlistWindow* mudlist_window_new (GtkWidget *wizard);

G_END_DECLS

#endif /* MUDLIST_H */
